---
search:
  tags:
    - Operations
    - GET
seo:
  description: >-
    The latest completed Responses of a Form, newest first. Reference for the
    GET /forms/{formId}/responses endpoint in the Finerlise API.
sidebar:
  label: The latest completed Responses of a Form, newest first
  badge: GET
title: The latest completed Responses of a Form, newest first
type: openapi-operation
---
`GET /forms/{formId}/responses`

**Responses**

- `200` — Completed Responses.
- `401` — Missing or invalid token.
- `403` — The token lacks the required scope.
- `404` — No such Form in this Workspace.
- `429` — Rate limited; see the Retry-After header.

Response example, 200:

```json
{
  "data": [
    {
      "event": "response.completed",
      "createdAt": "2019-08-24T14:15:22Z",
      "data": {
        "formId": "string",
        "formTitle": "string",
        "responseId": "string",
        "respondentEmail": "string",
        "completedAt": "2019-08-24T14:15:22Z",
        "answers": [
          {
            "fieldId": "string",
            "label": "string",
            "type": "string",
            "value": "string",
            "rawValue": null
          }
        ],
        "fields": {
          "property1": "string",
          "property2": "string"
        },
        "hiddenFields": {
          "property1": "string",
          "property2": "string"
        },
        "metadata": {}
      }
    }
  ]
}
```
